Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 155551 - NetworkManager never returns with error on wrong password/key
Summary: NetworkManager never returns with error on wrong password/key
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Target
TreeView+ depends on / blocked
 
Reported: 2005-04-21 12:13 UTC by Christian Schaller
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-09-22 02:09:39 UTC


Attachments (Terms of Use)
Screenshot of network login dialog (which is grey no matter what) (deleted)
2005-05-13 16:32 UTC, Christian Schaller
no flags Details

Description Christian Schaller 2005-04-21 12:13:05 UTC
At work I have a host of wireless networks within range. The only one I am
interested in is our own. If I enter wrong password/key in network manager it
never returns saying it was unable to connect, instead it just tries some of the
other networks. Since one of those networks is open it always connects to that
instead, which I find rather frustrating. Only way to be allowed to retype the
network password/key is to delete it with gconf, which I don't think is a very
userfriendly option. If I manually tell NetworkManager to connect to a specific
network it should give me error dialogs until I am actually connected to that
network.

Comment 1 Dan Williams 2005-05-05 19:10:48 UTC
Can you post the output of /var/log/messages after starting NetworkManager and
after you've tried once to connect to your access point using "Other wireless
networks..."?

Thanks!

Comment 2 Christian Schaller 2005-05-13 16:31:23 UTC
Never connected using 'Other Wireless Networks' before, just tried the dialog
that pops up when you choose your network of choice from the list. With Other
Wireless networks I was able to log in today. Thanks. On the other hand with the
dialog that pops up when you just choose the network from the list seems even
more broken now, with current devel packages the 'Login to network' button is
greyed out no matter what. (attaching screenshot)

Comment 3 Christian Schaller 2005-05-13 16:32:26 UTC
Created attachment 114342 [details]
Screenshot of network login dialog (which is grey no matter what)

Comment 4 Dan Williams 2005-05-13 16:36:21 UTC
128-bit Hex WEP keys have 26 characters, but I counted 28 in your screenshot. 
Are you sure that's the right key?

Comment 5 Christian Schaller 2005-05-13 16:53:02 UTC
it is a bogus key, I altered it heavily (by random key pressing and deleting)
before taking the shot as I felt it would be kinda stupid to post a shot with
our actual key in it :)

Switching to any of the two other options (passphrase or ascii) it is also still
grey.


Comment 6 Dan Williams 2005-05-16 19:48:09 UTC
Ok, the greyed-out OK button should be fixed in CVS HEAD and will also be in an
FC4 update right after FC4 comes out.

Comment 7 Bill Nottingham 2006-09-22 02:09:39 UTC
Closing bugs in MODIFIED state from prior Fedora releases. If this bug persists
in a current Fedora release (such as Fedora Core 5 or later), please reopen and
set the version appropriately.


Note You need to log in before you can comment on or make changes to this bug.